Entry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.Entry,Entry class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class Entry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry

Direct Known Subclasses:
  EnvelopeEntry, PrimitiveEntry

public abstract class Entry
extends java.lang.Object

An immutable class representing a single entry in a keyring.

Field Summary
`protected byte[]` | `payload` This entry's payload.
`protected Properties` | `properties` This entry's property set.
`protected int` | `type` This entry's type identifier.

Constructor Summary
`protected` | `Entry()` Default constructor for use by subclasses.
`protected` | `Entry(int type, Properties properties)` Creates a new Entry.

Method Summary
`protected void` | `defaultDecode(java.io.DataInputStream in)` Generic decoding method, which simply decodes the properties field and reads the payload field.
`void` | `encode(java.io.DataOutputStream out)` This method is called when this entry needs to be written to an output stream.
`protected abstract void` | `encodePayload()` This method is called of subclasses when the payload data needs to be created.
`byte[]` | `getPayload()` Returns this entry's payload data, or null if
`Properties` | `getProperties()` Returns this entry's properties object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected int type

  This entry's type identifier.

### properties

    protected Properties properties

  This entry's property set.

### payload

    protected byte[] payload

  This entry's payload.

Constructor Detail

### Entry

    protected Entry(int type,
                    Properties properties)

  Creates a new Entry.

Parameters:
  `type` - This entry's type.
  `properties` - This entry's properties.
Throws:
  `java.lang.IllegalArgumentException` - If the properties argument is null, or if the type is out of range.

### Entry

    protected Entry()

  Default constructor for use by subclasses.

Method Detail

### getProperties

    public Properties getProperties()

  Returns this entry's properties object. The properties are cloned before being returned.

  Returns:
    The properties.

### getPayload

    public byte[] getPayload()

  Returns this entry's payload data, or null if

### encode

    public void encode(java.io.DataOutputStream out)
                throws java.io.IOException

  This method is called when this entry needs to be written to an output stream.

  Parameters:
    `out` - The stream to write to.
  Throws:
    `java.io.IOException` - If an I/O exception occurs.

### defaultDecode

    protected void defaultDecode(java.io.DataInputStream in)
                          throws java.io.IOException

  Generic decoding method, which simply decodes the properties field and reads the payload field.

  Parameters:
    `in` - The input data stream.
  Throws:
    `java.io.IOException` - If an I/O error occurs.

### encodePayload

    protected abstract void encodePayload()
                                   throws java.io.IOException

  This method is called of subclasses when the payload data needs to be created.

  Throws:
    `java.io.IOException` - If an encoding error occurs.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.